(svn r4035) - Backport from trunk (4033): 0.4.5
authormatthijs
Wed, 22 Mar 2006 21:16:31 +0000
branch0.4.5
changeset 9953 613e3af556a2
parent 9952 5dd99185f887
child 9954 d5e9a82687d8
(svn r4035) - Backport from trunk (4033):
- Codechange: [Debian] Update debian packaging files to use debconf for user interaction.
os/debian/changelog
os/debian/config
os/debian/templates
--- a/os/debian/changelog	Wed Mar 22 21:11:05 2006 +0000
+++ b/os/debian/changelog	Wed Mar 22 21:16:31 2006 +0000
@@ -1,6 +1,6 @@
 openttd (0.4.5+custom) unstable; urgency=low
 
-  * Custom user build.
+  * Remove old terminal messages and make sure that debconf is always called.
 
  -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Thu,  9 Mar 2006 00:04:33 +0100
 
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/os/debian/config	Wed Mar 22 21:16:31 2006 +0000
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+FILES="trg1r.grf trgcr.grf trghr.grf trgir.grf trgtr.grf sample.cat"
+DATADIR=/usr/share/games/openttd/data
+
+MISSING="No";
+for FILE in $FILES; do
+	# Check if all the files needed are here.
+	if [ ! -e $DATADIR/$FILE ]; then
+		MISSING="Yes";
+		break;
+  fi;
+done;
+
+if [ $MISSING = "Yes" ]; then
+	db_input high openttd/datafiles || true
+	db_go
+fi;
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/os/debian/templates	Wed Mar 22 21:16:31 2006 +0000
@@ -0,0 +1,6 @@
+Template: openttd/datafiles
+Type: note
+Description: You need to install data files.
+ OpenTTD needs the datafiles from the original TTD game to run. You should
+ install these datafiles before you can play the game. See README.Debian for
+ more details on which files need to be copied where.